MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005739ATutorModulespublic2016-12-22 18:302018-03-12 19:08
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.3Fixed in Version2.2.3 
Summary0005739: Restore Backup with option
DescriptionWhen restoring a GameMe backup, restoring the gm_options table breaks, because the first field "options" is a reserved word.

Prefereably update backup restore to backquote all column names, or change the option column to something else.
TagsNo tags attached.
Affects versionSVN
SVN Revision#60b0bdc766e024f15515fa9c244feec3d548e0ad
Attached Files

- Relationships

-  Notes
(0007524)
greg (administrator)
2016-12-22 18:40

Traces back through Module.class.php to CSVImport.class.php
(0007525)
greg (administrator)
2016-12-22 19:15

Update the GameMe module_backup.php file when this is resolved.
(0007911)
greg (administrator)
2018-03-09 18:40

replaced sql option field with gm_option to avoid reserved word error
(0007937)
greg (administrator)
2018-03-12 19:08

Resolved in 2.2.3

- Issue History
Date Modified Username Field Change
2016-12-22 18:30 greg New Issue
2016-12-22 18:40 greg Note Added: 0007524
2016-12-22 19:15 greg Note Added: 0007525
2018-03-09 18:40 greg SVN Revision# => 60b0bdc766e024f15515fa9c244feec3d548e0ad
2018-03-09 18:40 greg Note Added: 0007911
2018-03-09 18:40 greg Status new => resolved
2018-03-09 18:40 greg Fixed in Version => 2.2.3
2018-03-09 18:40 greg Resolution open => fixed
2018-03-09 18:40 greg Assigned To => greg
2018-03-12 19:08 greg Note Added: 0007937
2018-03-12 19:08 greg Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker